commit ba20af7470398266052d5690d4b8aa18b0f11b72
Author: Avinash Jayakar <avinashd@linux.ibm.com>
Date:   Wed Nov 19 06:10:45 2025

    rs6000: Do not reorder operands for vec_pack_to_short_fp32 based on endianness
    
    The patterns for altivec_vpku<VI_char>um take care of the order of
    operands for the vpkuwum instruction, and therefore it is not needed in
    the define_expand pattern "convert_4f32_8f16".
    
    2025-11-18  Avinash Jayakar  <avinashd@linux.ibm.com>
    
    gcc/ChangeLog:
            PR target/119130
            * config/rs6000/altivec.md (convert_4f32_8f16): Use same operand
            order for both endian format.
    
    gcc/testsuite/ChangeLog:
            PR target/119130
            * gcc.target/powerpc/builtins-1-p9-runnable.c: Use same expected
            results for both endian format.

diff --git a/gcc/testsuite/gcc.target/powerpc/builtins-1-p9-runnable.c b/gcc/testsuite/gcc.target/powerpc/builtins-1-p9-runnable.c
index 976654155b1..500db87d7e0 100644
--- a/gcc/testsuite/gcc.target/powerpc/builtins-1-p9-runnable.c
+++ b/gcc/testsuite/gcc.target/powerpc/builtins-1-p9-runnable.c
@@ -16,13 +16,8 @@ int main() {
   vfb = (vector float){10.0, -2.0, 70.0, 999.0 };
 
   /* Expected results.  */
-#ifdef __BIG_ENDIAN__
-  vexpected = (vector unsigned short) { 0x4900, 0xc000, 0x5460, 0x63ce,
-					0x3666, 0x3e66, 0x4d00, 0x563e };
-#else
   vexpected = (vector unsigned short) { 0x3666, 0x3e66, 0x4d00, 0x563e,
 					0x4900, 0xc000, 0x5460, 0x63ce };
-#endif
 
 /*
      vresult = vec_pack_to_short_fp32 (vfa, vfb);

